# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-extensions"
  s.version = "1.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2016-09-12"
  s.description = "The Sensu extension loader library"
  s.email = ["portertech@gmail.com"]
  s.files = ["LICENSE.txt", "README.md", "lib/sensu/extensions.rb", "lib/sensu/extensions/constants.rb", "lib/sensu/extensions/loader.rb", "sensu-extensions.gemspec"]
  s.homepage = "https://github.com/sensu/sensu-extensions"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Sensu extension loader library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_runtime_dependency(%q<sensu-logger>, [">= 0"])
      s.add_runtime_dependency(%q<sensu-settings>, [">= 0"])
      s.add_runtime_dependency(%q<sensu-extension>, [">= 0"])
      s.add_runtime_dependency(%q<sensu-extensions-occurrences>, ["= 1.1.0"])
      s.add_runtime_dependency(%q<sensu-extensions-json>, ["= 1.0.0"])
      s.add_runtime_dependency(%q<sensu-extensions-ruby-hash>, ["= 1.0.0"])
      s.add_runtime_dependency(%q<sensu-extensions-only-check-output>, ["= 1.0.0"])
      s.add_runtime_dependency(%q<sensu-extensions-debug>, ["= 1.0.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<sensu-extensions-system-profile>, ["= 1.0.0"])
    else
      s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_dependency(%q<sensu-logger>, [">= 0"])
      s.add_dependency(%q<sensu-settings>, [">= 0"])
      s.add_dependency(%q<sensu-extension>, [">= 0"])
      s.add_dependency(%q<sensu-extensions-occurrences>, ["= 1.1.0"])
      s.add_dependency(%q<sensu-extensions-json>, ["= 1.0.0"])
      s.add_dependency(%q<sensu-extensions-ruby-hash>, ["= 1.0.0"])
      s.add_dependency(%q<sensu-extensions-only-check-output>, ["= 1.0.0"])
      s.add_dependency(%q<sensu-extensions-debug>, ["= 1.0.0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<sensu-extensions-system-profile>, ["= 1.0.0"])
    end
  else
    s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
    s.add_dependency(%q<sensu-logger>, [">= 0"])
    s.add_dependency(%q<sensu-settings>, [">= 0"])
    s.add_dependency(%q<sensu-extension>, [">= 0"])
    s.add_dependency(%q<sensu-extensions-occurrences>, ["= 1.1.0"])
    s.add_dependency(%q<sensu-extensions-json>, ["= 1.0.0"])
    s.add_dependency(%q<sensu-extensions-ruby-hash>, ["= 1.0.0"])
    s.add_dependency(%q<sensu-extensions-only-check-output>, ["= 1.0.0"])
    s.add_dependency(%q<sensu-extensions-debug>, ["= 1.0.0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<sensu-extensions-system-profile>, ["= 1.0.0"])
  end
end

